package com.caliverse.admin.domain.dao.admin;

import com.caliverse.admin.domain.entity.WorldEvent;
import com.caliverse.admin.domain.request.WorldEventRequest;

import java.util.List;
import java.util.Map;


public interface WorldEventMapper {

    List<WorldEvent> getWorldEventList(Map map);
    int getTotal();
    WorldEvent getWorldEventDetail(Long id);

    int postWorldEvent(WorldEventRequest worldEventRequest);
    int updateWorldEvent(WorldEventRequest worldEventRequest);
    int deleteWorldEvent(Map map);

    int checkOverlap(WorldEventRequest worldEventRequest);
}
